package com.develop.food.base.api.response

import com.develop.food.base.repo.entity.*

data class RecipeDetailResult(
    val devAccessorys: List<DevAccessory>,
    val devRecipe: DevRecipe,
    val devRecipeFoods: List<DevRecipeFood>,
    val devRecipeNutritions: List<DevRecipeNutrition>,
    val devRecipePortionSizes: List<DevRecipePortionSize>,
    val recipeAccessorys: List<DevRecipeAccessory>,
    val devRecipeCookingSteps: List<DevRecipeCookingStep>,
    val recipeUrl: String
)

data class RecipeDataConfig(
    val devAccessorys: List<DevAccessory>,
    val devHotTags: List<DevHotTag>,
    val devPortraits: List<DevPortrait>,
    val devRecipeAccessorys: List<DevRecipeAccessory>,
    val devRecipeCategorys: List<DevRecipeCategory>,
    val devRecipeCookingSteps: List<DevRecipeCookingStep>,
    val devRecipeFoods: List<DevRecipeFood>,
    val devRecipeNutritions: List<DevRecipeNutrition>,
    val devRecipePortionSizes: List<DevRecipePortionSize>,
    val devRecipeRelTags: List<DevRecipeRelTag>,
    val devRecipeTags: List<DevRecipeTag>,
    val devRecipes: List<DevRecipe>,
) {


    fun resetAllCodes() {
        for (data in devAccessorys) {
            data.code = System.nanoTime().toString()
        }
        for (data in devHotTags) {
            data.code = System.nanoTime().toString()
        }
        for (data in devPortraits) {
            data.code = System.nanoTime().toString()
        }
        for (data in devRecipeAccessorys) {
            data.code = System.nanoTime().toString()
        }
        for (data in devRecipeCategorys) {
            data.code = System.nanoTime().toString()
        }
        for (data in devRecipeCookingSteps) {
            data.code = System.nanoTime().toString()
        }
        for (data in devRecipeFoods) {
            data.code = System.nanoTime().toString()
        }
        for (data in devRecipeNutritions) {
            data.code = System.nanoTime().toString()
        }
        for (data in devRecipePortionSizes) {
            data.code = System.nanoTime().toString()
        }
        for (data in devRecipeRelTags) {
            data.code = System.nanoTime().toString()
        }
        for (data in devRecipeTags) {
            data.code = System.nanoTime().toString()
        }
        for (data in devRecipes) {
            data.code = System.nanoTime().toString()
        }
    }
}